找回密码  加入

AUTOIT CN

搜索
查看: 446184|回复: 4574

[原创] 更新 AutoIt v3.3.14.5 (2) 中文安装包

[复制链接]
发表于 2010-10-27 17:28:00 | 显示全部楼层 |阅读模式
本帖最后由 131738 于 2018-10-13 17:16 编辑

推荐使用 afan 版大的 Au3Chm 函数询捕 (帮助文档最佳搭档)_1.5
http://www.autoit3.cn/forum.php?mod=viewthread&tid=20612&fromuid=161

推荐一款代码迷惑的工具, 下面安装包中的:
AutoIt3Wrapper.exe, SciteConfig.exe, CodeWizard.exe 3 个 EXE 程序都是这个工具处理的, 大家可以体验一下!
http://www.autoit3.cn/forum.php?mod=viewthread&tid=52332&fromuid=161

********************************************** 声           明 ************************************************
此处所发附件仅供 au3 爱好者个人使用!!!
未经允许不得二次加塞打包发布, 未经允许, 也不得二次分发!!!
是君子者请自重!!!将自己的人格作为玩物, 我也无语, 只是鄙视而已!!!
********************************************************

*****************************
关于 IT 天空论坛盗用文档的告诉
*****************************

2018-07-17 AutoIt v3.3.14.5 (2)中文版安装包
    1. SciTE.exe (版本4.1.0.0, 汉化 90%, 其余仍然使用外挂文件方法)
    2. 汉化 SciteConfig.exe (SciTE 配置程序, 添加扩展功能,
参看工具截图)
    3. 附加 SciteToolBar.exe 程序(SciTE 工具栏插件,
图解使用说明
    4. 添加如下文件的汉化版, 感谢 chishingchan 提供汉化工具信息!!!:
          AU3Stripper.exe (精简整合脚本. 汉化 90%, 其余仍然使用体外汉化方法)
          Tidy.exe (整理代码)
          Aut2exe.exe + Aut2exe_x64.exe (编译脚本)
          Au3Check.exe (语法检查)
          Au3Info.exe + Au3Info_x64.exe (窗口信息工具)
          AutoIt3.exe + AutoIt3_x64.exe (运行脚本)
          AutoSQLiteUpdateIt.au3 (用于下载最新 SQLite DLL 文件)
          AutoUpdateIt.au3 (用于下载最新 AutoIt3 版本)

     注: 以上对应的英文原版文件均在文件名后添加 _En 保留在各自原位置, 除掉添加的 _En 后即可使用英文原版!
     要使用英文原版的 AutoIt3Wrapper, 除掉 \AutoIt3\SciTE\Properties\au3_En.properties 的 _En 即可!

     如发现使用有问题, 请及时反馈 !


特别说明 (耐心看完,发帖提问这里交代了的问题将不作解答):

    0. 新手注意 --- 没有保存的 "未命名" 文档, 大多数操作都会失败, 或使 scite 无反应!!!

    1.  如果在 SciTE 窗口运行某个脚本, 出现如下图所示的脚本错误信息,
    可以在文件资源管理器中右键运行该脚本查看正确显示的错误信息.


    2. 编辑框内嵌代码错误提示功能只能工作于 ASNII 编码的脚本中, UTF8 的脚本则显示乱码


    3. 函数调用提示功能依据 au3.api 的编码格式而定, 脚本编码与 au3.api 一致则显示正常, 否则显示乱码.

    4. 安装路径说明: 如果将 AutoIt 安装到系统所在盘, 初次启动可能会出现工具栏插件启动失败的错误提示消息框,
此时到 C:\Program Files\AutoIt3\SciTE\ 目录,右键点击 SciteToolBar.exe "以管理员身份运行" 启动一次, 以后再使用桌面快捷键就正常了.


5 . 已知 ANSI 编码的脚本在最后行回车时会导致 SciTE 崩溃的 BUG,按以下推荐解决:
          转换 ANSI 编码为 UTF-8 格式:
      编辑窗口右键\全选 -- 右键\复制 -- 文件菜单\编码\UTF-8 无 BOM,
      编辑窗口右键\粘贴 -- 保存


******************************************************
******************************************************

2018-07-17 更新 AutoIt v3.3.14.5 + 4.1.0 中文安装包
    1. 升级 SciTE 到 4.1.0 正式发布版

    2. 再次添加 SciTE 配置程序新的扩展功能--参看工具截图

    2018-10-9 重点提示:
经测试, 在 XP 系统即使安装英文原版 3.3.14.5 + 4.1.0,
也会提示 [ SciTE.exe 不是有效的 32 位应用程序!!! ]

******************************************************
******************************************************


++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++
2018-06-10 AutoIt 3.3.14.5 + 3.7.5 中文安装包

++++++++++++++++++++++++++++++++++++++++++++++++++++++++
++++++++++++++++++++++++++++++++++++++++++++++++++++++++


2017-12-9             3.3.14.2 第 5 版
1. 升级 AutoIt3Wrapper 到 17.224.935.0, 并添加 SciTE 窗口当前脚本编码检测.
2. 升级 SciTE 到 3.7.3. 这可能是 3.x.x 系列的最后一个版本, 后续官方将发布 4.x.x 系列.
3. 去掉检测有已安装 AUtoIT 的提示并自动退出功能, 安装与否由用户决定.

+++++++++++++++++++++++++++++++++++++++++++++
+++++++++++++++++++++++++++++++++++++++++++++

2015-04-01
AutoIt_v3.3.12.0 & 3.3.13.20_JT-FT_Setup 安装包
自动识别简/繁安装
AutoIt_v3.3.12.0 & 3.3.13.20_JT-FT_Setup.exe



本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?加入

x

评分

36

查看全部评分

发表于 4 天前 | 显示全部楼层
谢谢老大无私分享贡献。习惯ACN版本了。
发表于 4 天前 | 显示全部楼层
最新版本的3.3.14.5有用吗
发表于 6 天前 | 显示全部楼层
跟着版大一起更新。谢谢。
发表于 7 天前 | 显示全部楼层
谢谢 最近想写个新程序
发表于 2018-10-13 16:29:41 | 显示全部楼层
WindowsXP测试同样不能运行。
发表于 2018-10-12 18:06:38 | 显示全部楼层
131738 发表于 2018-10-12 15:40
没遇到过,相信官方会注意到并修改的,只是时间问题.

前辈是更新族,没用XP,自然遇不到
 楼主| 发表于 2018-10-12 15:40:09 | 显示全部楼层
afan 发表于 2018-10-12 11:41
现在想起来 印象中 SciTE 有过几次这样的问题,如 3.5?、 3.6.1,没有保存,都删除了,但有印象
所以之 ...

没遇到过,相信官方会注意到并修改的,只是时间问题.
发表于 2018-10-12 13:32:20 | 显示全部楼层
我还以为更新了,只是更新说明了。
发表于 2018-10-12 11:41:57 | 显示全部楼层
131738 发表于 2018-10-9 11:51
不懂 VS, 否则可以看看源码了......

现在想起来 印象中 SciTE 有过几次这样的问题,如 3.5?、 3.6.1,没有保存,都删除了,但有印象
所以之后的版本可能会继续或修正、或重犯这个问题…
发表于 2018-10-12 10:54:36 | 显示全部楼层
支持支持,感谢感谢
发表于 2018-10-10 18:33:51 | 显示全部楼层
新版下载看看怎么样
发表于 2018-10-9 12:12:57 | 显示全部楼层
131738 发表于 2018-10-9 11:51
不懂 VS, 否则可以看看源码了......

我也不懂。
如果是某些功能必须需要系统组件支持那就没办法了,如此他们应该说明不支持XP或需要安装支持的组件。
您需要登录后才可以回帖 登录 | 加入

本版积分规则

QQ|小黑屋|手机版|AUTOIT CN ( 鲁ICP备15028933号-3 )谷歌 百度

GMT+8, 2018-10-21 01:53 , Processed in 0.097867 second(s), 18 queries .

Powered by Discuz! X3.4 Licensed

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表